Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1739936 - sugar fails to install in Fedora rawhide
Summary: sugar fails to install in Fedora rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: sugar
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Simon Schampijer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1880827
Blocks: F31FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2019-08-11 21:35 UTC by Miro Hrončok
Modified: 2021-01-11 09:55 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-11 09:55:11 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Miro Hrončok 2019-08-11 21:35:46 UTC
sugar-0.113-4.fc31.noarch fails to install in Fedora rawhide:

  nothing provides telepathy-gabble needed by sugar-0.113-4.fc31.noarch
  nothing provides telepathy-salut needed by sugar-0.113-4.fc31.noarch

This is most likely caused by a dependency that was retired.
Please drop the dependency, unretire the dependency or remove the package. Thanks

Comment 1 Alex Perez 2019-08-12 23:17:02 UTC
The package maintainer, bpepple, for telepathy (and specifically, telepahty-gabble and telepathy-salut) appears to be MIA. It appears there is a fix to telepathy-salut to fix building from source with recent versions of OpenSSL. This has not made it into an upstream release, since the last upstream release of telepathy-salut was back in 2012. 

See https://github.com/TelepathyIM/telepathy-salut/commit/90dbe5e74ccdd063cb123212a754f994c9d2019f

Comment 2 Ben Cotton 2019-08-13 17:03:54 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Ben Cotton 2020-11-03 16:52:45 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Petr Viktorin (pviktori) 2020-11-05 16:43:24 UTC
This is still the case.

Comment 5 Mamoru TASAKA 2021-01-11 09:55:11 UTC
With telepathy-salut-0.8.1-23.fc34 built, as of  Fedora-Rawhide-20210111.n.0 salut now installs.


Note You need to log in before you can comment on or make changes to this bug.